--- title: "SDKのエクスポート" slug: "apigateway-getexport" updated: 2026-09-17T09:57:24Z published: 2026-09-17T09:57:24Z canonical: "api.ncloud-docs.com/apigateway-getexport" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # SDKのエクスポート Classic/VPC環境で利用できます。 デプロイされた APIを Swagger JSON 2.0、Open API JSON 3.0、Java SDK形式でエクスポートしてダウンロードします。 ## リクエスト リクエスト形式を説明します。リクエスト形式は次の通りです。 | メソッド | URI | | --- | --- | | GET | /api/v1/products/{product-id}/apis/{api-id}/stages/{stage-id}/export | ### リクエストヘッダ API Gatewayで共通して使用されるヘッダの詳細は、[API Gatewayのリクエストヘッダ](/docs/ja/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94)をご参照ください。 ### リクエストパスパラメータ You can use the following path parameters with your request: | フィールド | タイプ | 必須の有無 | 説明 | | --- | --- | --- | --- | | `product-id` | String | Required | APIが属する Product ID - 1~10文字 - [Productリストの照会](/docs/ja/apigateway-product-getproductlist)を参照 | | `api-id` | String | Required | エクスポート対象 APIの ID - 1~10文字 - [APIの照会](/docs/ja/apigateway-api-apis)を参照 | | `stage-id` | String | Required | APIがデプロイされたステージ ID - 1~10文字 - [Stageリストの照会](/docs/ja/apigateway-stage-getstagelist)を参照 | ### リクエストクエリパラメータ リクエストクエリパラメータの説明は次の通りです。 | フィールド | タイプ | 必須の有無 | 説明 | | --- | --- | --- | --- | | `platform` | String | Optional | ダウンロードする Platformファイル形式 - `SWAGGER_JSON`(デフォルト) \| `OPENAPI3_JSON` \| `JAVA_SDK` | | `packageName` | String | Optional | エクスポート対象の Package名 | | `groupId` | String | Optional | JAVA SDK形式でエクスポートする場合、Javaの Group IDを指定 | | `artifactId` | String | Optional | JAVA SDK形式でエクスポートする場合、Javaの Artifact IDを指定 | | `artifactVersion` | String | Optional | JAVA SDK形式でエクスポートする場合、Javaの Artifact Versionを指定 | | `license` | String | Optional | JAVA SDK形式でエクスポートする場合、Javaの Licenseを指定 | | `version` | String | Optional | JAVA SDK形式でエクスポートする場合、Javaの Versionを指定 | ### リクエスト例 リクエストのサンプルコードは次の通りです。 ``` curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/products/********o9/apis/cvcohvd2xj/stages/y7ri4o8kia/export?platform=SWAGGER_JSON&packageName=package01' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## レスポンス レスポンス形式を説明します。 ### レスポンス構文 レスポンス構文は次の通りです。 ``` "Download File" ``` ### レスポンスステータスコード API Gatewayで共通して使用されるレスポンスステータスコードの詳細は、[API Gatewayのレスポンスステータスコード](/docs/ja/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C)をご参照ください。 ### レスポンス例 レスポンスのサンプルコードは次の通りです。 ``` { "swagger" : "2.0", "info" : { "description" : "
https://********o9.apigw.ntruss.com/sample22/v1", "version" : "2024-05-02T07:35:04Z", "title" : "sample22" }, "host" : "********o9.apigw.ntruss.com", "basePath" : "/sample22/v1", "schemes" : [ "https" ], "paths" : { "/" : { }, "/apigw" : { }, "/apigw/v1" : { }, "/apigw/v1/api-keys" : { "get" : { "tags" : [ "v1" ], "description" : "demo /apigw/v1/api-keys", "consumes" : [ "application/json", "text/plain" ], "produces" : [ "application/json", "text/plain" ], "parameters" : [ { "name" : "x_header", "in" : "header", "description" : "header 1", "required" : true, "type" : "string", "x-ncp-parameter-is-logged" : false }, { "name" : "name", "in" : "query", "description" : "name desc", "required" : false, "type" : "string", "x-ncp-parameter-is-logged" : false } ], "responses" : { "200" : { "description" : "", "headers" : { "x_header" : { "type" : "string", "description" : "ok" } }, "schema" : { "$ref" : "#/definitions/ApiKeyDto" } }, "404" : { "description" : "not found" } }, "x-ncp-apigw-use-body-when-formdata" : false, "x-ncp-apigateway-filters" : { "valid" : { "type" : "NONE" }, "apiKey" : { "required" : false }, "auth" : { "platform" : "NONE" } }, "x-ncp-apigateway-endpoint" : { "MOCK" : { "httpStatus" : 200, "response" : "12121", "headers" : { "mock-header" : "header value" } } } }, "post" : { "tags" : [ "v1" ], "description" : "demo post /apigw/v1/api-keys", "consumes" : [ "application/json" ], "produces" : [ "application/json" ], "parameters" : [ { "in" : "body", "name" : "apiKey", "description" : "request body", "required" : true, "schema" : { "$ref" : "#/definitions/ApiKeyDto" } } ], "responses" : { "200" : { "description" : "", "headers" : { "x_header" : { "type" : "string", "description" : "ok" } }, "schema" : { "$ref" : "#/definitions/ApiKeyDto" } }, "404" : { "description" : "not found" } }, "x-ncp-apigw-use-body-when-formdata" : false, "x-ncp-apigateway-filters" : { "valid" : { "type" : "NONE" }, "apiKey" : { "required" : false }, "auth" : { "platform" : "NONE" } }, "x-ncp-apigateway-endpoint" : { "HTTP" : { "method" : "POST", "url" : "/api-keys", "stream" : false } } } }, "/apigw/v1/apis" : { "get" : { "tags" : [ "v1" ], "description" : "demo apigw/v1/apis", "consumes" : [ "application/json" ], "produces" : [ "text/plain" ], "parameters" : [ ], "responses" : { "200" : { "description" : "", "headers" : { "x_header" : { "type" : "string", "description" : "ok" } }, "schema" : { "$ref" : "#/definitions/ApiKeyDto" } }, "404" : { "description" : "not found" } }, "x-ncp-apigw-use-body-when-formdata" : false, "x-ncp-apigateway-filters" : { "valid" : { "type" : "NONE" }, "apiKey" : { "required" : false }, "auth" : { "platform" : "NONE" } }, "x-ncp-apigateway-endpoint" : { "MOCK" : { "httpStatus" : 200, "response" : "11111", "headers" : { "mock-header" : "header value" } } } } } }, "definitions" : { "ApiKeyDto" : { "type" : "object", "properties" : { "apiKeyDescription" : { "type" : "string" }, "apiKeyId" : { "type" : "string" }, "apiKeyName" : { "type" : "string" } }, "description" : "demo model", "x-ncp-model-description" : "demo model" } } } ```